# Method SDL.grab_input()

Method grab_input

  ``int` grab_input(`int` `mode`)`

Description

  Sets or queries the current 'grab' mode.

  Grabbing input means asking that all mouse activity be confined to this application window and that nearly all keyboard events are passed directly to the application, bypassing the window manager.

Parameter `mode`

  One of the following constants:

    `SDL.GRAB_ON`

    `SDL.GRAB_OFF`

    `SDL.GRAB_QUERY`

Returns

  The current grab mode, either `SDL.GRAB_ON` or `SDL.GRAB_OFF`.